Package org.apache.sysds.runtime.iogen.codegen

# Class CodeGenTrie

java.lang.Object
org.apache.sysds.runtime.iogen.codegen.CodeGenTrie

public class CodeGenTrie extends Object

## Constructor Summary

Constructors
Constructor
Description
`CodeGenTrie(CustomProperties properties, String destination, boolean isMatrix, FormatIdentifyer formatIdentifyer)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaCode()`
`String`
`getRandomName(String base)`
`void`
`setMatrix(boolean matrix)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeGenTrie

public CodeGenTrie(CustomProperties properties, String destination, boolean isMatrix, FormatIdentifyer formatIdentifyer)

## Method Details

### getJavaCode

public String getJavaCode()

### getRandomName

public String getRandomName(String base)

### setMatrix

public void setMatrix(boolean matrix)